ods-enforcerd(8)

NAME

ods-enforcerd - OpenDNSSEC Policy Enforcer daemon

SYNOPSIS

ods-enforcerd [-c FILE] [-d] [-1] [-P PIDFILE] [-v] [-h]

DESCRIPTION

ods-enforcerd is part of the OpenDNSSEC software. It will enforce any policies that you have set up for zones under the control of OpenDNSSEC (including the generation of keys if configured to). For more information, go to http://www.opendnssec.org and visit the Documentation page.

Invoked with no arguments, ods-enforcerd will read the default configuration file @OPENDNSSEC_CONFIG_FILE@ and act according to its contents.

OPTIONS

-c FILE
    Use alternate conf.xml.

-d  Run in debug mode.

-1  Run once, then exit.

-P PIDFILE
    Use alternate process-id file.

-v  Print the version, then exit.

-h  Show help, then exit.

SIGNALS

The ods-enforcerd can be controlled using the ods-control utility. Signals may also be used.

SIGHUP
    ods-enforcerd runs on a schedule defined in conf.xml; this signal will interrupt that and force the daemon to wake up.

SIGINT, SIGTERM
    Force the daemon to stop (if it is running it will finish what it is doing first).

CONFIGURATION

The configuration of ods-enforcerd is contained in the conf.xml file; the options available are described in the OpenDNSSEC documentation.

DIAGNOSTICS

will log all the problems via the standard syslog(8) daemon facility.

FILES

@OPENDNSSEC_CONFIG_FILE@
    default configuration file.

@OPENDNSSEC_FETCH_PIDFILE@
    default process-id file.

SEE ALSO

ods-auditor(1), ods-control(8), ods-hsmspeed(1), ods-hsmutil(1), ods-kaspcheck(1), ods-ksmutil(1), ods-signer(8), ods-signerd(8), ods-timing(5), opendnssec(7), http://www.opendnssec.org/

AUTHORS

ods-enforcerd was written by John Dickinson and Nominet as part of the OpenDNSSEC project.